Bug 258106 - math/nauty: install missing header files
Summary: math/nauty: install missing header files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on: 258237
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-27 23:00 UTC by Philipp Ost
Modified: 2021-09-20 21:35 UTC (History)
2 users (show)

See Also:
moritz: maintainer-feedback+


Attachments
math/nauty: add missing header files (1.21 KB, patch)
2021-08-27 23:00 UTC, Philipp Ost
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Ost 2021-08-27 23:00:23 UTC
Created attachment 227496 [details]
math/nauty: add missing header files

An upcoming patch for polymake requires naututil.h which is currently not installed.

While at it, install other missing header files:
- naututil.h pulls in naurng.h
- nautycliquer.h pulls in gtools.h
- traces.h pulls in gtoots.h and schreier.h
Comment 1 Moritz Schmitt 2021-08-28 18:27:20 UTC
Looks good!

(And thanks for your work on Polymake!)
Comment 2 Yuri Victorovich freebsd_committer 2021-09-03 04:36:21 UTC
mauty-27r2 was released yesterday.

I'll submit another bug report to update to it which will supersede this one.